import pytest
from bcs import manager

def test_manager_is_available_NO_ACS():
    assert not manager.is_available()

def test_simple_client_NO_ACS():
    with pytest.raises(ConnectionError):
        manager.simple_client()

def test_manager_component_infos_NO_ACS():
    with pytest.raises(ConnectionError):
        manager.component_infos()

# def test_manager_container_infos_NO_ACS():
#     with pytest.raises(ConnectionError):
#         manager.container_infos()
#
# def test_manager_client_infos_NO_ACS():
#     with pytest.raises(ConnectionError):
#         manager.client_infos()

def test_manager_get_component_NO_ACS():
    with pytest.raises(ConnectionError):
        lamp = manager.get_component("PYHELLODEMO1")

def test_manager_restart_component_NO_ACS():
    with pytest.raises(ConnectionError):
        lamp = manager.get_component("PYHELLODEMO1")
        manager.restart_component("PYHELLODEMO1")

def test_manager_set_mortality_NO_ACS():
    with pytest.raises(ConnectionError):
        lamp = manager.get_component("PYHELLODEMO1")
        manager.set_mortality("PYHELLODEMO1", True)

def test_manager_release_component_NO_ACS():
    with pytest.raises(ConnectionError):
        lamp = manager.get_component("PYHELLODEMO1")
        manager.release_component("PYHELLODEMO1")

def test_manager_try_activate_component_NO_ACS():
    assert manager.try_activate_component("PYHELLODEMO1") is None

def test_manager_try_release_immortal_by_name_NO_ACS():
    manager.try_release_immortal_by_name("PYHELLODEMO1")

def test_manager_try_release_immortal_by_prefix_NO_ACS():
    manager.try_release_immortal_by_prefix("PYHELLODEMO1")
